{-| Module  : FiniteCategories
Description : Examples of 'CommaCategory' exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

Examples of 'CommaCategory' exported with GraphViz.

Export the category in the directory "OutputGraphViz\/Examples\/FiniteCategories\/CommaCategory".
-}
module Math.FiniteCategories.CommaCategory.Example
(
    main
)
where
    import qualified Data.WeakSet as Set
    import Data.WeakSet.Safe
    import Data.WeakMap.Safe
    
    import Math.FiniteCategory
    import Math.Categories
    import Math.FiniteCategories
    import Math.IO.FiniteCategories.ExportGraphViz
    import Math.IO.PrettyPrint
    
    -- | Examples of 'CommaCategory' exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.CommaCategory.Example"
        catToPdf (numberCategory 4) "OutputGraphViz/Examples/FiniteCategories/CommaCategory/4"
        let Just slice = sliceCategory (numberCategory 4) 2
        let Just coslice = cosliceCategory (numberCategory 4) 2
        catToPdf slice "OutputGraphViz/Examples/FiniteCategories/CommaCategory/slice2"
        catToPdf coslice "OutputGraphViz/Examples/FiniteCategories/CommaCategory/coslice2"
        catToPdf (arrowCategory (numberCategory 4)) "OutputGraphViz/Examples/FiniteCategories/CommaCategory/arrow"
        putStrLn "End of Math.FiniteCategories.CommaCategory.Example"